import request from '@/utils/request'


//获取组织树状列表

export function treeOrganizationList(params) {
    return request({
      url: '/organizations-select-option-trees',
      method: 'get',
      params
    })
}
//获取民族列表
export function getNationList(params) {
  return request({
    url: '/develop/http-status',
    method: 'get',
    params
  })
}
//获取人员列表
export function personnelList(params) {
    return request({
      url: '/staffs',
      method: 'get',
      params
    })
}
//新增人员
export function addPersonnel(data) {
  return request({
    url: '/staffs',
    method: 'post',
    data
  })
}
//删除人员信息
export function deletePersonnelList(data) {
  return request({
    url: '/staffs/' + data,
    method: 'DELETE',
  })
}
//获取人员详情
export function personnelDetail(params) {
  return request({
    url: '/staffs/'+ params.id,
    method: 'get',
    params
  })
}
//修改人员信息
export function editPersonnel(data) {
  return request({
    url: '/staffs/'+ data.id,
    method: 'put',
    data
  })
}
//导入人员信息
export function importPersonnel(data) {
  return request({
    url: '/staffs/import',
    method: 'post',
    data
  })
}
//导出人员信息

export function exportPersonnel(params) {
  return request({
    url: '/staffs/export',
    method: 'get',
    params
  })
}
//重置密码

export function remarkPwd(data) {
  return request({
    url: '/staff-remake-password',
    method: 'post',
    data
  })
}
//批量修改政治面貌

export function  batchPolitics(data) {
  return request({
    url: '/staff-update-politics-status',
    method: 'post',
    data
  })
}


export function  batchParty(data) {
  return request({
    url: '/staff-updated-organization',
    method: 'post',
    data
  })
}
//资源详情列表

export function  archivesList(params) {
  return request({
    url: '/archives',
    method: 'get',
    params
  })
}
//批量归档

export function  fileGuidang(data) {
  return request({
    url: '/staff-update-graduate-status',
    method: 'post',
    data
  })
}

//选择步骤
export function  selectSteps(params) {
  return request({
    url: '/organization-flow',
    method: 'get',
    params
  })
}

export function exportStaffs(params) {
  return request({
    url: '/staffs/export',
    method: 'get',
    params
  })
}
